Data object for updating an Agent Observability prompt.
attributes [required]
object
Attributes for updating an Agent Observability prompt. At least one of title or description must be provided; both attributes are optional individually.
description
string
Optional new description for the prompt.
title
string
Optional new title for the prompt.
type [required]
enum
Resource type of an Agent Observability prompt.
Allowed enum values: prompt-templates
Response containing a single Agent Observability prompt.
Expand All
フィールド
タイプ
説明
data [required]
object
Data object for an Agent Observability prompt.
attributes [required]
object
Attributes of an Agent Observability prompt registry entry. Prompt list and metadata-update responses omit complete template and configuration data.
author
string
UUID of the user who authored the prompt.
created_at
date-time
Timestamp when the prompt was created.
created_from [required]
string
Source that created the prompt, such as ui-registry, sdk-registry, or sdk-instrumentation.
datasets
[object]
Datasets observed in runs associated with this prompt.
id [required]
string
Unique identifier of the dataset.
name
string
Name of the dataset.
description
string
Description of the prompt.
extracted_from
string
Source prompt from which this prompt was extracted, when applicable.
in_registry [required]
boolean
Whether the prompt is a registry entry (as opposed to a code-discovered prompt).
last_seen_at
date-time
Timestamp of the most recent observed run of this prompt.
last_version_created_at
date-time
Timestamp when the most recent version of the prompt was created.
ml_app
string
The ML application this prompt is associated with.
ml_apps
[string]
ML applications observed running this prompt.
num_versions [required]
int64
Number of versions of the prompt.
prompt_id [required]
string
Customer-provided identifier of the prompt.
source [required]
enum
Whether the prompt was created from the registry or discovered from observed LLM calls.
Allowed enum values: registry,code
tags
[string]
Tags observed on runs of this prompt.
title
string
Title of the prompt.
id [required]
string
Unique identifier of the prompt.
type [required]
enum
Resource type of an Agent Observability prompt.
Allowed enum values: prompt-templates
{"data":{"attributes":{"author":"3b12f1df-14fd-4e12-bd6f-4a2f5c8b3d1e","created_at":"2025-01-15T10:00:00Z","created_from":"sdk-registry","description":"Answers customer questions using the company knowledge base.","in_registry":true,"last_version_created_at":"2025-01-15T10:00:00Z","num_versions":1,"prompt_id":"customer-support-assistant","source":"registry","title":"Customer Support Assistant"},"id":"4a1a28ff-8a25-5f0f-946f-f48264d772eb","type":"prompt-templates"}}
## default
#
# Path parameters exportprompt_id="customer-support-assistant" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
# Curl command curl-XPATCH"https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/llm-obs/v1/prompts/${prompt_id}" \
-H"Accept: application/json" \
-H"Content-Type: application/json" \
-H"Authorization: Bearer ${DD_BEARER_TOKEN}" \
-d@-<<EOF{
"data": {
"attributes": {
"description": "Answers customer questions using the company knowledge base.",
"title": "Customer Support Assistant"
},
"type": "prompt-templates"
}
}EOF
"""
Update an Agent Observability prompt returns "OK" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.agent_observability_apiimportAgentObservabilityApifromdatadog_api_client.v2.model.llm_obs_prompt_typeimportLLMObsPromptTypefromdatadog_api_client.v2.model.llm_obs_update_prompt_dataimportLLMObsUpdatePromptDatafromdatadog_api_client.v2.model.llm_obs_update_prompt_data_attributesimportLLMObsUpdatePromptDataAttributesfromdatadog_api_client.v2.model.llm_obs_update_prompt_requestimportLLMObsUpdatePromptRequestbody=LLMObsUpdatePromptRequest(data=LLMObsUpdatePromptData(attributes=LLMObsUpdatePromptDataAttributes(),type=LLMObsPromptType.PROMPT_TEMPLATES,),)configuration=Configuration()configuration.access_token=environ["DD_BEARER_TOKEN"]configuration.unstable_operations["update_llm_obs_prompt"]=TruewithApiClient(configuration)asapi_client:api_instance=AgentObservabilityApi(api_client)response=api_instance.update_llm_obs_prompt(prompt_id="prompt_id",body=body)print(response)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Update an Agent Observability prompt returns "OK" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]config.unstable_operations["v2.update_llm_obs_prompt".to_sym]=trueendapi_instance=DatadogAPIClient::V2::AgentObservabilityAPI.newbody=DatadogAPIClient::V2::LLMObsUpdatePromptRequest.new({data:DatadogAPIClient::V2::LLMObsUpdatePromptData.new({attributes:DatadogAPIClient::V2::LLMObsUpdatePromptDataAttributes.new({}),type:DatadogAPIClient::V2::LLMObsPromptType::PROMPT_TEMPLATES,}),})papi_instance.update_llm_obs_prompt("prompt_id",body)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Update an Agent Observability prompt returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){body:=datadogV2.LLMObsUpdatePromptRequest{Data:datadogV2.LLMObsUpdatePromptData{Attributes:datadogV2.LLMObsUpdatePromptDataAttributes{},Type:datadogV2.LLMOBSPROMPTTYPE_PROMPT_TEMPLATES,},}ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.UpdateLLMObsPrompt",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewAgentObservabilityApi(apiClient)resp,r,err:=api.UpdateLLMObsPrompt(ctx,"prompt_id",body)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `AgentObservabilityApi.UpdateLLMObsPrompt`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `AgentObservabilityApi.UpdateLLMObsPrompt`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Update an Agent Observability prompt returns "OK" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.AgentObservabilityApi;importcom.datadog.api.client.v2.model.LLMObsPromptResponse;importcom.datadog.api.client.v2.model.LLMObsPromptType;importcom.datadog.api.client.v2.model.LLMObsUpdatePromptData;importcom.datadog.api.client.v2.model.LLMObsUpdatePromptDataAttributes;importcom.datadog.api.client.v2.model.LLMObsUpdatePromptRequest;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));defaultClient.setUnstableOperationEnabled("v2.updateLLMObsPrompt",true);AgentObservabilityApiapiInstance=newAgentObservabilityApi(defaultClient);LLMObsUpdatePromptRequestbody=newLLMObsUpdatePromptRequest().data(newLLMObsUpdatePromptData().attributes(newLLMObsUpdatePromptDataAttributes()).type(LLMObsPromptType.PROMPT_TEMPLATES));try{LLMObsPromptResponseresult=apiInstance.updateLLMObsPrompt("customer-support-assistant",body);System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling AgentObservabilityApi#updateLLMObsPrompt");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
// Update an Agent Observability prompt returns "OK" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_agent_observability::AgentObservabilityAPI;usedatadog_api_client::datadogV2::model::LLMObsPromptType;usedatadog_api_client::datadogV2::model::LLMObsUpdatePromptData;usedatadog_api_client::datadogV2::model::LLMObsUpdatePromptDataAttributes;usedatadog_api_client::datadogV2::model::LLMObsUpdatePromptRequest;#[tokio::main]asyncfnmain(){letbody=LLMObsUpdatePromptRequest::new(LLMObsUpdatePromptData::new(LLMObsUpdatePromptDataAttributes::new(),LLMObsPromptType::PROMPT_TEMPLATES,));letmutconfiguration=datadog::Configuration::new();configuration.set_unstable_operation_enabled("v2.update_llm_obs_prompt",true);letapi=AgentObservabilityAPI::with_config(configuration);letresp=api.update_llm_obs_prompt("prompt_id".to_string(),body).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Update an Agent Observability prompt returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});configuration.unstableOperations["v2.updateLLMObsPrompt"]=true;constapiInstance=newv2.AgentObservabilityApi(configuration);constparams: v2.AgentObservabilityApiUpdateLLMObsPromptRequest={body:{data:{attributes:{},type:"prompt-templates",},},promptId:"prompt_id",};apiInstance.updateLLMObsPrompt(params).then((data: v2.LLMObsPromptResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
パーソナライズされたデモをリクエスト
Datadog を始める
Ask AI
AI-generated responses may be inaccurate. Verify important info.